<div formArrayName="form">
    <div>
        <p><input type="text" formControlName="name" value="abc" /></p>
        <p><input type="text" formControlName="email" value="abc" /></p>
    </div>
    <div (click)="registerPlant()">Enregistrer</div>
</div>